%define module      Email-Simple-Creator
%define name        perl-%{module}
%define version     1.41
%define release     %mkrel 1

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:        Email::Simple constructor for starting anew
License:        GPL or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/%{module}
Source:         http://www.cpan.org/modules/by-module/Email/%{module}-%{version}.tar.bz2
%if %{mdkversion} < 1010
BuildRequires:  perl-devel
%endif
BuildRequires:  perl(Email::Date)
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}

%description
This software provides a constructor to Email::Simple for creating messages
from scratch.

%prep
%setup -q -n %{module}-%{version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README Changes
%{perl_vendorlib}/Email
%{_mandir}/*/*


%changelog
* Sun Jan 21 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.41-1mdv2007.0
+ Revision: 111343
- Import perl-Email-Simple-Creator



* Sun Jan 21 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.41-1mdv2007.1
- first mdv release  
